Subject: Re: bug#5248: 23.1.90; Patch for OS X drag-and-drop

From: Andrew Hyatt <[email-masked]>
Date: Tue, 16 Feb 2016 22:36:01 -0500

I can drag & drop URLs with Emacs 25, however it doesn't look like this
patch was every accepted.

Still, this doesn't looks more like an improvement than a bugfix, so I'm
marking this as wishlist.

Adrian Robert <[email-masked]> writes:

> Hi,
>
> Thanks for this patch, it looks good.  In thinking about committing it, I would just like to know what is your rationale for setting this behavior:
>
> drag file URL -> NS_DRAG_FILE -> (current handling)
> drag non-fileURL -> NS_DRAG_URL -> (ns-drag-url vkey) -> ns-insert-text
>
> I think this makes sense, but did you go by analogy to emacs under W32, or Aquamacs, or GTK, or other apps on the Mac, or your own intuitions, or... ?
>
> thanks,
> Adrian